<template>
  <g>
    <defs>
      <path
        id="car-piston@1x-a"
        d="M16.2788104,3 C16.6756506,3 17,3.32434944 17,3.72211896 L17,3.72211896 L17,11.2091078 C17,11.6068773 16.6756506,11.9302974 16.2788104,11.9302974 L16.2788104,11.9302974 L15.2091078,11.9302974 C15.017658,11.9302974 14.8364312,11.855948 14.6998141,11.7193309 L14.6998141,11.7193309 L13.8401487,10.8605948 L13.7908922,10.8605948 L13.7908922,14.1988848 C14.5250929,14.5752788 15.1254647,15.1747212 15.5,15.9079926 L15.5,15.9079926 L16.2788104,15.9079926 C16.6756506,15.9079926 17,16.232342 17,16.6291822 L17,16.6291822 L17,18.7685874 C17,19.1663569 16.6756506,19.489777 16.2788104,19.489777 L16.2788104,19.489777 L15.4990706,19.489777 C14.8317844,20.7927509 13.4711896,21.6282528 12,21.6282528 C10.5288104,21.6282528 9.16821561,20.7927509 8.50092937,19.489777 L8.50092937,19.489777 L7.72118959,19.489777 C7.32434944,19.489777 7,19.1663569 7,18.7685874 L7,18.7685874 L7,16.6291822 C7,16.232342 7.32434944,15.9079926 7.72118959,15.9079926 L7.72118959,15.9079926 L8.5,15.9079926 C8.87453532,15.1747212 9.47490706,14.5752788 10.2091078,14.1988848 L10.2091078,14.1988848 L10.2091078,10.8605948 L10.1598513,10.8605948 L9.30111524,11.7193309 C9.16356877,11.855948 8.98234201,11.9302974 8.79089219,11.9302974 L8.79089219,11.9302974 L7.72118959,11.9302974 C7.32434944,11.9302974 7,11.6068773 7,11.2091078 L7,11.2091078 L7,3.72211896 C7,3.32434944 7.32434944,3 7.72118959,3 L7.72118959,3 Z M12.348513,10.8605948 L11.651487,10.8605948 L11.651487,14.6719331 C11.651487,14.9767658 11.4581784,15.25 11.1700743,15.3513011 C10.4693309,15.5994424 9.90148699,16.1663569 9.65334572,16.8689591 C9.55111524,17.1570632 9.27788104,17.3503717 8.97304833,17.3503717 L8.97304833,17.3503717 L8.44237918,17.3503717 L8.44237918,18.0473978 L8.97304833,18.0473978 C9.27788104,18.0473978 9.55111524,18.2407063 9.65334572,18.527881 C10.0037175,19.5204461 10.947026,20.1877323 12,20.1877323 C13.052974,20.1877323 13.9962825,19.5204461 14.3466543,18.527881 C14.4488848,18.2407063 14.722119,18.0473978 15.0269517,18.0473978 L15.0269517,18.0473978 L15.5576208,18.0473978 L15.5576208,17.3503717 L15.0269517,17.3503717 C14.722119,17.3503717 14.4488848,17.1570632 14.3466543,16.8689591 C14.098513,16.1672862 13.5306691,15.6003717 12.8299257,15.3513011 C12.5418216,15.25 12.348513,14.9767658 12.348513,14.6719331 L12.348513,14.6719331 L12.348513,10.8605948 Z M12,15.9078996 C12.9869888,15.9078996 13.7908922,16.711803 13.7908922,17.6987918 C13.7908922,18.6857807 12.9869888,19.489684 12,19.489684 C11.0130112,19.489684 10.2091078,18.6857807 10.2091078,17.6987918 C10.2091078,16.711803 11.0130112,15.9078996 12,15.9078996 Z M12,17.3502788 C11.8076208,17.3502788 11.651487,17.5064126 11.651487,17.6987918 C11.651487,17.891171 11.8076208,18.0473048 12,18.0473048 C12.1923792,18.0473048 12.348513,17.891171 12.348513,17.6987918 C12.348513,17.5064126 12.1923792,17.3502788 12,17.3502788 Z M15.5576208,8.72211896 L8.44237918,8.72211896 L8.44237918,10.4888476 L8.49256506,10.4888476 L9.35037175,9.63011152 C9.48698885,9.49442379 9.66821561,9.41914498 9.8605948,9.41914498 L9.8605948,9.41914498 L14.1394052,9.41914498 C14.3317844,9.41914498 14.5130112,9.49442379 14.6496283,9.63011152 L14.6496283,9.63011152 L15.5074349,10.4888476 L15.5576208,10.4888476 L15.5576208,8.72211896 Z M15.5576208,6.58178439 L8.44237918,6.58178439 L8.44237918,7.27973978 L15.5576208,7.27973978 L15.5576208,6.58178439 Z M15.5576208,4.44237918 L8.44237918,4.44237918 L8.44237918,5.14033457 L15.5576208,5.14033457 L15.5576208,4.44237918 Z"
      />
    </defs>
    <g fill="none" fill-rule="evenodd">
      <rect
        width="24"
        height="24"
        fill="#E3E3E3"
        fill-opacity=".01"
        style="mix-blend-mode:color-burn"
      />
      <use fill="currentColor" xlink:href="#car-piston@1x-a" />
    </g>
  </g>
</template>
